package com.wechat.dao;

import java.util.ArrayList;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.responseDto.LVResp;
@Repository
public class RedisLVResp extends RedisGeneratorDao<String, ArrayList<LVResp>> {
	private String tableKey = "RedisLVResp";

    public ArrayList<LVResp> selectMessageInfo(String infoKey) {
        return selectOne(tableKey, infoKey);
    }

    public void updateMessageInfo(String infoKey, ArrayList<LVResp> infoValue) {
        update(tableKey, infoKey, infoValue);
    }

    public void insertMessageInfo(String infoKey, ArrayList<LVResp> infoValue) {
        insert(tableKey, infoKey, infoValue);
    }

    public void deleteMessageInfo(String infoKey) {
        delete(tableKey, infoKey);
    }
}
